Decline commissions in bulk
curl --request POST \
--url https://platform.tolt.dev/v2/commissions/bulk/decline \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ids": [
"comm_X85RLnefjTCNrypH4MA1PdSp",
"comm_3RtV9kQ2mW8nX5pL1sB7cD4f"
]
}
'import requests
url = "https://platform.tolt.dev/v2/commissions/bulk/decline"
payload = { "ids": ["comm_X85RLnefjTCNrypH4MA1PdSp", "comm_3RtV9kQ2mW8nX5pL1sB7cD4f"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ids: ['comm_X85RLnefjTCNrypH4MA1PdSp', 'comm_3RtV9kQ2mW8nX5pL1sB7cD4f']})
};
fetch('https://platform.tolt.dev/v2/commissions/bulk/decline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.tolt.dev/v2/commissions/bulk/decline",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ids' => [
'comm_X85RLnefjTCNrypH4MA1PdSp',
'comm_3RtV9kQ2mW8nX5pL1sB7cD4f'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.tolt.dev/v2/commissions/bulk/decline"
payload := strings.NewReader("{\n \"ids\": [\n \"comm_X85RLnefjTCNrypH4MA1PdSp\",\n \"comm_3RtV9kQ2mW8nX5pL1sB7cD4f\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://platform.tolt.dev/v2/commissions/bulk/decline")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ids\": [\n \"comm_X85RLnefjTCNrypH4MA1PdSp\",\n \"comm_3RtV9kQ2mW8nX5pL1sB7cD4f\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform.tolt.dev/v2/commissions/bulk/decline")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ids\": [\n \"comm_X85RLnefjTCNrypH4MA1PdSp\",\n \"comm_3RtV9kQ2mW8nX5pL1sB7cD4f\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Processed commissions",
"data": {
"succeeded": 1,
"failed": 1,
"results": [
{
"id": "comm_X85RLnefjTCNrypH4MA1PdSp",
"status": "ok"
},
{
"id": "comm_3RtV9kQ2mW8nX5pL1sB7cD4f",
"status": "error",
"code": "not_found",
"message": "Commission not found"
}
]
}
}{
"success": false,
"message": "ids: Too small: expected array to have >=1 items",
"code": "validation_error",
"doc_url": "https://docs.tolt.com/errors#validation_error",
"errors": [
{
"field": "ids",
"message": "Too small: expected array to have >=1 items"
}
]
}{
"success": false,
"message": "Unauthorized",
"code": "unauthorized",
"doc_url": "https://docs.tolt.com/errors#unauthorized"
}{
"success": false,
"message": "Request body exceeds 1 MB",
"code": "payload_too_large",
"doc_url": "https://docs.tolt.com/errors#payload_too_large"
}{
"success": false,
"message": "Too many requests. Retry after the window resets.",
"code": "rate_limited",
"doc_url": "https://docs.tolt.com/errors#rate_limited"
}Commissions
Decline commissions in bulk
Declines up to 100 commissions and reports the outcome per id. Successful changes and affected draft invoice totals commit together.
POST
/
v2
/
commissions
/
bulk
/
decline
Decline commissions in bulk
curl --request POST \
--url https://platform.tolt.dev/v2/commissions/bulk/decline \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ids": [
"comm_X85RLnefjTCNrypH4MA1PdSp",
"comm_3RtV9kQ2mW8nX5pL1sB7cD4f"
]
}
'import requests
url = "https://platform.tolt.dev/v2/commissions/bulk/decline"
payload = { "ids": ["comm_X85RLnefjTCNrypH4MA1PdSp", "comm_3RtV9kQ2mW8nX5pL1sB7cD4f"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ids: ['comm_X85RLnefjTCNrypH4MA1PdSp', 'comm_3RtV9kQ2mW8nX5pL1sB7cD4f']})
};
fetch('https://platform.tolt.dev/v2/commissions/bulk/decline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.tolt.dev/v2/commissions/bulk/decline",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ids' => [
'comm_X85RLnefjTCNrypH4MA1PdSp',
'comm_3RtV9kQ2mW8nX5pL1sB7cD4f'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.tolt.dev/v2/commissions/bulk/decline"
payload := strings.NewReader("{\n \"ids\": [\n \"comm_X85RLnefjTCNrypH4MA1PdSp\",\n \"comm_3RtV9kQ2mW8nX5pL1sB7cD4f\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://platform.tolt.dev/v2/commissions/bulk/decline")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ids\": [\n \"comm_X85RLnefjTCNrypH4MA1PdSp\",\n \"comm_3RtV9kQ2mW8nX5pL1sB7cD4f\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform.tolt.dev/v2/commissions/bulk/decline")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ids\": [\n \"comm_X85RLnefjTCNrypH4MA1PdSp\",\n \"comm_3RtV9kQ2mW8nX5pL1sB7cD4f\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Processed commissions",
"data": {
"succeeded": 1,
"failed": 1,
"results": [
{
"id": "comm_X85RLnefjTCNrypH4MA1PdSp",
"status": "ok"
},
{
"id": "comm_3RtV9kQ2mW8nX5pL1sB7cD4f",
"status": "error",
"code": "not_found",
"message": "Commission not found"
}
]
}
}{
"success": false,
"message": "ids: Too small: expected array to have >=1 items",
"code": "validation_error",
"doc_url": "https://docs.tolt.com/errors#validation_error",
"errors": [
{
"field": "ids",
"message": "Too small: expected array to have >=1 items"
}
]
}{
"success": false,
"message": "Unauthorized",
"code": "unauthorized",
"doc_url": "https://docs.tolt.com/errors#unauthorized"
}{
"success": false,
"message": "Request body exceeds 1 MB",
"code": "payload_too_large",
"doc_url": "https://docs.tolt.com/errors#payload_too_large"
}{
"success": false,
"message": "Too many requests. Retry after the window resets.",
"code": "rate_limited",
"doc_url": "https://docs.tolt.com/errors#rate_limited"
}Authorizations
Tolt API key sent as a bearer token.
Body
application/json
Ids of the commissions to act on, as returned when listing commissions. Each one succeeds or fails on its own and gets its own entry in results.
Required array length:
1 - 100 elementsMinimum string length:
1Example:
["comm_8KfQ2xLm", "comm_2Jd7rTq"]

